# Method: projects.locations.httpRoutes.list

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.ListHttpRoutesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes/list#try-it)

Lists HttpRoute in a given project and location.

### HTTP request

`GET https://networkservices.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/httpRoutes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the HttpRoutes should be listed, specified in the format `projects/*/locations/global`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkservices.httpRoutes.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of HttpRoutes to return per call. |
| `pageToken` | `string` The value returned by the last `ListHttpRoutesResponse` Indicates that this is a continuation of a prior `httpRoutes.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response returned by the httpRoutes.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "httpRoutes": [ { object (`https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes#HttpRoute`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `httpRoutes[]` | ``object (`https://docs.cloud.google.com/service-mesh/v1.22/docs/reference/network-services/rest/v1alpha1/projects.locations.httpRoutes#HttpRoute`)`` List of HttpRoute resources. |
| `nextPageToken` | `string` If there might be more results than those appearing in this response, then `nextPageToken` is included. To get the next set of results, call this method again using the value of `nextPageToken` as `pageToken`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).